import { t as c, c as f } from "../bundle-mjs-lrpnyDSX.js";
const i = { BASE_URL: "/", DEV: !1, MODE: "production", PROD: !0, SSR: !1 };
function v(...e) {
  return c(f(e));
}
function s(e, t) {
  if (!e)
    return;
  const n = ["", "VITE_", "NEXT_PUBLIC_", "NEXT_"];
  for (const o of n) {
    const r = e[`${o}${t}`];
    if (r)
      return r;
  }
}
function _(e) {
  const t = typeof process > "u" ? void 0 : process.env, n = s(t, e);
  return n || s(i, e);
}
export {
  v as cn,
  _ as resolveEnv
};
